## com.puppycrawl.tools.checkstyle
Class PropertiesExpander

    java.lang.Object
      com.puppycrawl.tools.checkstyle.PropertiesExpander

All Implemented Interfaces:
  PropertyResolver

    public final class PropertiesExpander

extends Object
implements PropertyResolver

Resolves external properties from an underlying `Properties` object.

Author:
  lkuehne

Constructor Summary
`PropertiesExpander(Properties aProperties)` Creates a new PropertiesExpander.

Method Summary
`String` `resolve(String aPropertyName)` Resolves a property name to it's value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesExpander

    public PropertiesExpander(Properties aProperties)

  Creates a new PropertiesExpander.

  Parameters:
    `aProperties` - the underlying properties to use for property resolution.
  Throws:
    `IllegalArgumentException` - indicates null was passed

Method Detail

### resolve

    public String resolve(String aPropertyName)

  Resolves a property name to it's value.

  Specified by:
    `resolve` in interface `PropertyResolver`
  Parameters:
    `aPropertyName` - the name of the property.
  Returns:
    the value that is associated with `propertyName`.

Copyright © 2001-2011. All Rights Reserved.